#!/usr/bin/env python
# -*- coding: utf-8 -*-

## Copyright (c) 2012 Oki Data Corporation. All rights reserved.

## This program is free software; you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by the Free
## Software Foundation; either version 2 of the License, or (at your option)
## any later version.
##
## This program is distributed in the hope that it will be useful, but WITHOUT
## ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
## FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
## more details.
##
## You should have received a copy of the GNU General Public License along with
## this program; if not, write to the Free Software Foundation, Inc., 59 Temple
## Place, Suite 330, Boston, MA  02111-1307  USA

"""
pyscand module supplement.
"""
__author__ = " <@>"
__copyright__ = "Copyright (c) 2012 Oki Data Corporation. All rights reserved."
__credits__ = []
__license__ = ""
__version__ = "1.7-0"
__date__ = "2012"
__maintainer__ = ""
__email__ = ""
__status__ = "Production"

# Directories
DRV_BASEDIR="/usr/libexec/okimfpdrv/"

import sys
sys.path.append(DRV_BASEDIR)
sys.path.append(".libs/")#DEBUG
sys.path.append(".")


def find_device(devicelist, devicename):
    for idx in xrange(len(devicelist)):
        devinf = devicelist[idx]
        if devinf[0] == devicename:
            return devinf
    return None

def to_device_name_list(devicelist):
    result = []
    for d in devicelist:
        result.append(d[0])
    return result

